#### Previous topic

scipy.ndimage.correlate1d

#### Next topic

scipy.ndimage.gaussian_filter1d

# scipy.ndimage.gaussian_filter

`scipy.ndimage.``gaussian_filter`(input, sigma, order=0, output=None, mode='reflect', cval=0.0, truncate=4.0)

  Multidimensional Gaussian filter.

  Parameters:

  input : array_like

  > Input array to filter.

  sigma : scalar or sequence of scalars

  > Standard deviation for Gaussian kernel. The standard deviations of the Gaussian filter are given for each axis as a sequence, or as a single number, in which case it is equal for all axes.

  order : {0, 1, 2, 3} or sequence from same set, optional

  > The order of the filter along each axis is given as a sequence of integers, or as a single number. An order of 0 corresponds to convolution with a Gaussian kernel. An order of 1, 2, or 3 corresponds to convolution with the first, second or third derivatives of a Gaussian. Higher order derivatives are not implemented

  output : array, optional

  > The output parameter passes an array in which to store the filter output.

  mode : {‘reflect’, ‘constant’, ‘nearest’, ‘mirror’, ‘wrap’}, optional

  > The mode parameter determines how the array borders are handled, where cval is the value when mode is equal to ‘constant’. Default is ‘reflect’

  cval : scalar, optional

  > Value to fill past edges of input if mode is ‘constant’. Default is 0.0

  truncate : float

  > Truncate the filter at this many standard deviations. Default is 4.0.

  Returns:

  gaussian_filter : ndarray

  > Returned array of same shape as input.

  Notes

  The multidimensional filter is implemented as a sequence of one-dimensional convolution filters. The intermediate arrays are stored in the same data type as the output. Therefore, for output types with a limited precision, the results may be imprecise because intermediate results may be stored with insufficient precision.